// 秒寻科技
// 主站ID二次检查，与基站拓扑二次校验
// zt
// 2023-03-23

#ifndef __BTS_IDCHECK_H__
#define __BTS_IDCHECK_H__

#include "../../sysdefine/sysdef.h"
#include "../../exchange/exchange.h"

// 供外部使用接口
void bts_idcheck_main(BTS_ID_JUDGEMENT_MAIN_BTS_T *pstJudgementMainBtsList, PUB_LCT_BTS_LIST_T *pstLctBtsList);

// 内部使用接口

uint8 bts_idcheck_check_nearby_bts(BTS_INSTALL_BTS_T stMainBtsData, BTS_INSTALL_BTS_LIST_T *pstInstallBtsList, BTS_ID_JUDGEMENT_MAIN_BTS_T *pstJudgementMainBtsList);
flt32 bts_idcheck_cal_pp_distance(int32 x1, int32 y1, int32 x2, int32 y2);
void bts_idcheck_gen_location_bts(uint8 byShiftTimes, BTS_INSTALL_BTS_T stMainBtsData, BTS_INSTALL_BTS_LIST_T *pstInstallBtsList, PUB_LCT_BTS_LIST_T *pstLocationGroup);

#endif